GET
/
v1
/
teams
/
{teamId}
/
media-creation
/
runs
/
{runId}
/
editor
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.mediaCreation.getMemeEditorForRun({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  runId: process.env.OCTOSPARK_RUN_ID ?? "runId",
})
{
  "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "image_meme",
  "request": {
    "templateAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "captions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "text": "<string>",
        "x": 0.5,
        "y": 0.5,
        "width": 0.5,
        "fontFamily": "<string>",
        "fontSize": 259,
        "fill": "<string>",
        "stroke": "<string>",
        "strokeWidth": 10,
        "bold": true,
        "uppercase": true,
        "height": 0.5,
        "rotation": 0,
        "italic": true,
        "shadow": true,
        "opacity": 0.5
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

runId
string<uuid>
required

Artifact run id (UUID), as returned by slideshow generation or slide regeneration.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Success

runId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
type
enum<string>
required
Available options:
image_meme
request
object
required